<bugID>486702<Summary>Library left pane not updated properly / dynamically</Summary><Description>Open the Library
1. History - Show all History
2. In the right-pane - delete the 'today' folder
3. Note is disappears from the Left pane - Expected I would think
4. Now browse some and note that in the right pane the 'Today' folder is re-added showing your history, but the left pane does not have the 'Today' folder.
5. Close/reopen the History Library as in step 1, now you have the 'Today' folder.

Tested on Vista HP SP1 and today's nightly:
Mozilla/5.0 (Windows; U; Windows NT 6.0; en-US; rv:1.9.2a1pre) Gecko/20090403 Minefield/3.6a1pre Firefox/3.0.7 ID:20090403050211

Thanks to alice0755 in the builds forum:
http://forums.mozillazine.org/viewtopic.php?p=6168055#p6168055</Description></bugID>